%define name sqlgui
%define version 0.5.1
%define release %mkrel 10
%define qtdir %_prefix/lib/qt3

Summary: 	Graphical database-frontend for KDE
Name: 		%name
Version: 	%version
Release: 	%release
License:	BSD
URL:		http://www.sqlgui.org/
Group: 		Databases
Source: 	%{name}-%{version}.tar.bz2
Source1:	%{name}.16.png
Source2:	%{name}.32.png
Source3:	%{name}.48.png
Patch0:		%{name}-namespace.patch
Buildroot: 	%{_tmppath}/%{name}-buildroot
# yes, it really need this:
Requires:	sqlguipart-devel
Requires:	sqlgui-lib
BuildRequires: sqlguipart-devel
BuildRequires: X11-devel
BuildRequires: arts
BuildRequires: libjpeg-devel libfam-devel libart_lgpl-devel
BuildRequires: libpng-devel
BuildRequires: qt3-devel kdelibs-devel

%description
SqlGui is a graphical database-frontend for KDE.
Currently MySQL and PostgrSQL are supported.
SqlGui was developed, because of the need of having a
database-frontend, which was able to display table-contents,
create and delete databases and tables and also send individual 
sql-queries to the database-server.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}
%patch0 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" KDEDIR=%_includedir \
./configure --prefix=%{_prefix} --with-qt-dir=%{qtdir} --libdir=%{_libdir}
%make

%install
%makeinstall
# Mandriva Menu entry

mkdir -p $RPM_BUILD_ROOT{%{_miconsdir},%{_liconsdir},%{_iconsdir}}
cp %{SOURCE1}  $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
cp %{SOURCE2}  $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
cp %{SOURCE3}  $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root,0755)
%doc README COPYING TODO INSTALL ChangeLog AUTHORS
#%doc doc
%_bindir/*
%doc %{_datadir}/doc/*
%{_datadir}/applnk/*
%{_datadir}/apps/*
# This next contains menu icons
# and others
%{_datadir}/icons/*





%changelog
* Tue Feb 19 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.5.1-10mdv2008.1
+ Revision: 173109
- fix update-menus-without-menu-file-in-%%post(|un)
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- drop old menu

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.5.1-9mdv2008.1
+ Revision: 140850
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel
    - fix summary-ended-with-dot
    - s/Mandrake/Mandriva/


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.5.1-9mdv2007.0
+ Revision: 108765
- rebuild

* Sat Jul 15 2006 Olivier Thauvin <nanardon@mandriva.org> 0.5.1-8mdv2007.0
+ Revision: 41151
- Import sqlguipart
- Import sqlgui

* Sun May 08 2005 Olivier Thauvin <nanardon@mandriva.org> 0.5.1-7mdk
- fix 64bits build

* Fri Jul 23 2004 Michael Scherer <misc@mandrake.org> 0.5.1-6mdk 
- rebuild for new gcc

* Sat May 15 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.1-5mdk
- Birthday rebuild

